Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Arrange

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.imp3d.objects.Patch
                          de.grogra.blocks.Arrange

All Implemented Interfaces:
  Transformation, Pickable, Polygonizable, Polygonization, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class Arrange

extends Patch
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `arrangeMethod$FIELD`
`static Node.NType.Field` | `density$FIELD`
`static Node.NType.Field` | `densityI$FIELD`
`static Node.NType.Field` | `densityMax$FIELD`
`static Node.NType.Field` | `densityMin$FIELD`
`static Node.NType.Field` | `fitToRaster$FIELD`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `locationParameter1Function$FIELD`
`static Node.NType.Field` | `locationParameter2Function$FIELD`
`static Node.NType.Field` | `locationParameter3Function$FIELD`
`static Node.NType.Field` | `locationParameterMax$FIELD`
`static Node.NType.Field` | `locationParameterMin$FIELD`
`static Node.NType.Field` | `lod$FIELD`
`static int` | `MAX_RASTER`
`static Node.NType.Field` | `number$FIELD`
`static Node.NType.Field` | `random$FIELD`
`static Node.NType.Field` | `scaleFunction$FIELD`
`static Node.NType.Field` | `slopeFunction$FIELD`
`static Node.NType.Field` | `spinFunction$FIELD`
`static Node.NType.Field` | `useDensityI$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Patch
`grid, grid$FIELD, visibleSides, visibleSides$FIELD`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.imp3d.Polygonization
`COMPUTE_NORMALS, COMPUTE_UV`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Arrange()`
`Arrange(int number)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAbsoluteHeight()`
`ShareableArrangeBase` | `getArrangeMethod()`
`int` | `getChildId()`
`float` | `getDensity()`
`ChannelMap` | `getDensityField()`
`float` | `getDensityI()`
`float` | `getDensityMax()`
`float` | `getDensityMin()`
`HeightField` | `getHeightField()`
`RectangularHeightFieldMapping` | `getHeightFieldMapping()`
`Instantiator` | `getInstantiator()`
`float` | `getLocalHeight()`
`ChannelMap` | `getLocationParameter()`
`FloatToFloat` | `getLocationParameter1Function()`
`FloatToFloat` | `getLocationParameter2Function()`
`FloatToFloat` | `getLocationParameter3Function()`
`Color3f` | `getLocationParameterMax()`
`Color3f` | `getLocationParameterMin()`
`ArrangeLOD` | `getLod()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`java.lang.String` | `getNumber()`
`int` | `getParentId()`
`Tuple3f` | `getPos()`
`FloatToFloat` | `getScaleFunction()`
`FloatToFloat` | `getSlopeFunction()`
`FloatToFloat` | `getSpinFunction()`
`int` | `getThisId()`
`void` | `heightFieldOut(int max)`
`void` | `instantiate(Instantiation state)`
`boolean` | `isFitToRaster()`
`boolean` | `isInitAll()`
`boolean` | `isUseDensityI()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setArrangeMethod(ShareableArrangeBase arrangeMethod)`
`void` | `setDensity(ChannelMap value)`
`void` | `setDensityI(float value)`
`void` | `setDensityMax(float value)`
`void` | `setDensityMin(float value)`
`void` | `setDimension(float valueX, float valueY)`
`void` | `setDimension(float valueX, float valueY, float scale)`
`void` | `setFitToRaster(boolean value)`
`void` | `setHeightFieldScale(float value)`
`void` | `setInitAll(boolean value)`
`void` | `setLocationParameter(ChannelMap value)`
`void` | `setLocationParameter1Function(FloatToFloat value)`
`void` | `setLocationParameter2Function(FloatToFloat value)`
`void` | `setLocationParameter3Function(FloatToFloat value)`
`void` | `setLocationParameterMax(Color3f value)`
`void` | `setLocationParameterMin(Color3f value)`
`void` | `setLod(ArrangeLOD value)`
`void` | `setNumber(int number)`
`void` | `setNumber(java.lang.String value)`
`void` | `setScaleFunction(FloatToFloat value)`
`void` | `setSlopeFunction(FloatToFloat value)`
`void` | `setSpinFunction(FloatToFloat value)`
`void` | `setUseDensityI(boolean value)`
`void` | `setXWidth(float value)`
`void` | `setYWidth(float value)`
`void` | `useLod(boolean value)`

Methods inherited from class de.grogra.imp3d.objects.Patch
`draw, getGrid, getPolygonizableSource, getPolygonization, getVisibleSides, pick, pick, polygonize, setGrid, setVisibleSides`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, getSymbolColor, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### arrangeMethod$FIELD

    public static final Node.NType.Field arrangeMethod$FIELD

### density$FIELD

    public static final Node.NType.Field density$FIELD

### densityI$FIELD

    public static final Node.NType.Field densityI$FIELD

### densityMax$FIELD

    public static final Node.NType.Field densityMax$FIELD

### densityMin$FIELD

    public static final Node.NType.Field densityMin$FIELD

### fitToRaster$FIELD

    public static final Node.NType.Field fitToRaster$FIELD

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### locationParameter1Function$FIELD

    public static final Node.NType.Field locationParameter1Function$FIELD

### locationParameter2Function$FIELD

    public static final Node.NType.Field locationParameter2Function$FIELD

### locationParameter3Function$FIELD

    public static final Node.NType.Field locationParameter3Function$FIELD

### locationParameterMax$FIELD

    public static final Node.NType.Field locationParameterMax$FIELD

### locationParameterMin$FIELD

    public static final Node.NType.Field locationParameterMin$FIELD

### lod$FIELD

    public static final Node.NType.Field lod$FIELD

### MAX_RASTER

    public static final int MAX_RASTER

See Also:
  Constant Field Values

### number$FIELD

    public static final Node.NType.Field number$FIELD

### random$FIELD

    public static final Node.NType.Field random$FIELD

### scaleFunction$FIELD

    public static final Node.NType.Field scaleFunction$FIELD

### slopeFunction$FIELD

    public static final Node.NType.Field slopeFunction$FIELD

### spinFunction$FIELD

    public static final Node.NType.Field spinFunction$FIELD

### useDensityI$FIELD

    public static final Node.NType.Field useDensityI$FIELD

Constructor Detail

### Arrange

    public Arrange()

### Arrange

    public Arrange(int number)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getArrangeMethod

    public ShareableArrangeBase getArrangeMethod()

### getChildId

    public int getChildId()

### getDensity

    public float getDensity()

### getDensityField

    public ChannelMap getDensityField()

### getDensityI

    public float getDensityI()

### getDensityMax

    public float getDensityMax()

### getDensityMin

    public float getDensityMin()

### getHeightField

    public HeightField getHeightField()

### getHeightFieldMapping

    public RectangularHeightFieldMapping getHeightFieldMapping()

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLocalHeight

    public float getLocalHeight()

### getLocationParameter

    public ChannelMap getLocationParameter()

### getLocationParameter1Function

    public FloatToFloat getLocationParameter1Function()

### getLocationParameter2Function

    public FloatToFloat getLocationParameter2Function()

### getLocationParameter3Function

    public FloatToFloat getLocationParameter3Function()

### getLocationParameterMax

    public Color3f getLocationParameterMax()

### getLocationParameterMin

    public Color3f getLocationParameterMin()

### getLod

    public ArrangeLOD getLod()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Patch`
  Returns:
    type describing the managed fields of the class of this node

### getNumber

    public java.lang.String getNumber()

### getParentId

    public int getParentId()

### getPos

    public Tuple3f getPos()

### getScaleFunction

    public FloatToFloat getScaleFunction()

### getSlopeFunction

    public FloatToFloat getSlopeFunction()

### getSpinFunction

    public FloatToFloat getSpinFunction()

### getThisId

    public int getThisId()

### heightFieldOut

    public void heightFieldOut(int max)

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isFitToRaster

    public boolean isFitToRaster()

### isInitAll

    public boolean isInitAll()

### isUseDensityI

    public boolean isUseDensityI()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Patch`
  Returns:
    new instance of class of this node

### setArrangeMethod

    public void setArrangeMethod(ShareableArrangeBase arrangeMethod)

### setDensity

    public void setDensity(ChannelMap value)

### setDensityI

    public void setDensityI(float value)

### setDensityMax

    public void setDensityMax(float value)

### setDensityMin

    public void setDensityMin(float value)

### setDimension

    public void setDimension(float valueX,
                             float valueY)

### setDimension

    public void setDimension(float valueX,
                             float valueY,
                             float scale)

### setFitToRaster

    public void setFitToRaster(boolean value)

### setHeightFieldScale

    public void setHeightFieldScale(float value)

### setInitAll

    public void setInitAll(boolean value)

### setLocationParameter

    public void setLocationParameter(ChannelMap value)

### setLocationParameter1Function

    public void setLocationParameter1Function(FloatToFloat value)

### setLocationParameter2Function

    public void setLocationParameter2Function(FloatToFloat value)

### setLocationParameter3Function

    public void setLocationParameter3Function(FloatToFloat value)

### setLocationParameterMax

    public void setLocationParameterMax(Color3f value)

### setLocationParameterMin

    public void setLocationParameterMin(Color3f value)

### setLod

    public void setLod(ArrangeLOD value)

### setNumber

    public void setNumber(int number)

### setNumber

    public void setNumber(java.lang.String value)

### setScaleFunction

    public void setScaleFunction(FloatToFloat value)

### setSlopeFunction

    public void setSlopeFunction(FloatToFloat value)

### setSpinFunction

    public void setSpinFunction(FloatToFloat value)

### setUseDensityI

    public void setUseDensityI(boolean value)

### setXWidth

    public void setXWidth(float value)

### setYWidth

    public void setYWidth(float value)

### useLod

    public void useLod(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD